function e= sigma_ellipse(x, P, n)
%function e= sigma_ellipse(x, P, n)
% INPUTS: mean [x; y], covariance [xx xy; xy yy], number of sigmas
% OUTPUT: ellipse points [x; y]
% Plot n sigma ellipse
%
% Tim Bailey 2004

r=sqrtm(P);
phi=[0:0.1:2*pi 0];
a=n*r*[cos(phi); sin(phi)];

e(1,:)= a(1,:)+x(1);
e(2,:)= a(2,:)+x(2);
