function demo_k_neighbours()

x = rand(2,100) * 12;

figure,
plot(x(1,:), x(2,:), '.')
hold on, axis equal
axis([-5 15 -2 14])

h.xx = plot(0,0,'k*', 'erasemode', 'xor');
h.nn = plot(0,0,'r', 'erasemode', 'xor');

xx = [5;5];
xv = [0;0];

for i=1:10000
    
    nn = k_neighbours(x, xx, 5, 2);
    idx = [nn.ai];
    idx = idx(idx ~= 0);
    p = make_lines(xx, x(:,idx));
        
    set(h.xx, 'xdata', xx(1), 'ydata', xx(2));
    set(h.nn, 'xdata', p(1,:), 'ydata', p(2,:));
    pause (0.01)
    
    k = 0.02;
    xv = xv + [cos(i*k); sin(i*k)]*.001;
    xx = xx + xv;
    if xx(1) > 14 | xx(1) < -4 | xx(2) > 12 | xx(2) < -2
        xv = [0;0];
    end
end

%
%

function p = make_lines(xx, x)

p = xx;
for i=1:size(x,2)
    p = [p xx x(:,i) [NaN;NaN]];
end
