function demo_nearest_neighbour()

x = rand(2,100) * 12;

figure,
plot(x(1,:), x(2,:), '.')
hold on, axis equal
axis([-5 15 -2 14])

h.xx = plot(0,0,'k*', 'erasemode', 'xor');
h.nn = plot(0,0,'r', 'erasemode', 'xor');

xx = [5;5];
xv = [0;0];

for i=1:10000
    
    idx = nearest_neighbour(x, xx, 2);
    if idx == 0, nx = xx; else, nx = x(:,idx); end
    
    set(h.xx, 'xdata', xx(1), 'ydata', xx(2));
    set(h.nn, 'xdata', [xx(1) nx(1)], 'ydata', [xx(2) nx(2)]);
    pause(0.01)
    
    k = 0.02;
    xv = xv + [cos(i*k); sin(i*k)]*.001;
    xx = xx + xv;
    if xx(1) > 14 | xx(1) < -4 | xx(2) > 12 | xx(2) < -2
        xv = [0;0];
    end
end
